/*#include <cam.h>

    int profile_points=360;
    double profile_x[profile_points+1], profile_y[profile_points+1];
    double velocity[profile_points+1];
    double acceleration[profile_points+1];
    double transangle[profile_points+1];
    double angle[profile_points+1], position[profile_points+1];

    class CCam cam;
	class CPlot profileplot;
	class CPlot vel_plot;
	class CPlot accel_plot;
	class CPlot transangle_plot;
	class CPlot follower_pos_plot;
*/												

    cam.followerType(CAM_FOLLOWER_OSC_FLAT, follower_offset);
    
	cam.baseRadius(base_radius);
    
	if(sec1_motion == 0) 
	{	
		cam.addSection(sec1_duration, sec1_lift, CAM_MOTION_HARMONIC);
	}
	else
	{
		cam.addSection(sec1_duration, sec1_lift, CAM_MOTION_CYCLOIDAL);
	}

	if(sec2_motion == 0)
	{	
		cam.addSection(sec2_duration, sec2_lift, CAM_MOTION_HARMONIC);
	}
	else
	{
		cam.addSection(sec2_duration, sec2_lift, CAM_MOTION_CYCLOIDAL);
	}
	
	if(sec3_motion == 0)
	{	
		cam.addSection(CAM_DURATION_FILL, 0, CAM_MOTION_HARMONIC);
	}
	else
	{
		cam.addSection(CAM_DURATION_FILL, 0, CAM_MOTION_CYCLOIDAL);
	}
	cam.makeCam(profile_points);
	cam.getCamProfile(profile_x,profile_y);
    cam.plotCamProfile(&profileplot);
