
phi = phi*M_PI/180;
theta_1[1] = theta1*(M_PI/180);
theta_2[1] = theta1*(M_PI/180);
theta_1[2] = theta2*(M_PI/180);
theta_2[2] = theta2*(M_PI/180);
theta_1[5] = lambda*theta_1[2] + phi;
theta_2[5] = lambda*theta_2[2] + phi;

gearedbar.setLinks(r1, r2, r3, r4, r5, theta_1[1]);
gearedbar.setCouplerPoint(COUPLER_LINK3, rp, beta);
gearedbar.setLambda(lambda);
gearedbar.setPhi(phi);
gearedbar.angularPos(theta_1, theta_2);
gearedbar.angularVel(theta_1, omega_1);
gearedbar.angularVel(theta_2, omega_2);

Vp[1] = gearedbar.couplerPointVel(COUPLER_LINK3, theta_1, omega_1); 
Vp[2] = gearedbar.couplerPointVel(COUPLER_LINK3, theta_2, omega_2); 

velx_1=real(Vp[1]);
vely_1=imag(Vp[1]);
velx_2=real(Vp[2]);
vely_2=imag(Vp[2]);
