/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
#include <sixbar.h>

int main() {
    /* default specification of the four-bar linkage */
    double r[1:8];
    r[1]=12; r[2]=4; r[3]=10; r[4]=7; r[5] =10; r[6]=7; r[7]=12; r[8]=4;//cranker-rocker 
    double theta1 = 0*M_PI/180, theta5 = -10*M_PI/180; 
    double psi = 30*M_PI/180;
    double rp = 5, beta = 20*M_PI/180;
    double omega2=5;  /*  rad/sec  */
    double alpha2=0;  /*  rad/sec*sec  */
    int numpoints =50;
    CWattSixbarII WattSixbar; 
     
    WattSixbar.setLinks(r, theta1, theta5, psi);
    WattSixbar.setCouplerPoint(rp, beta); 
    WattSixbar.setNumPoints(numpoints);
    WattSixbar.animation(1); 
    WattSixbar.animation(2); 
}

