
  theta1 = M_DEG2RAD(theta1);
  theta5 = M_DEG2RAD(theta5);
  beta = M_DEG2RAD(beta);
  psi = M_DEG2RAD(psi);
  theta2 = M_DEG2RAD(theta2);
  omega2 = M_DEG2RAD(omega2);
  alpha2 = M_DEG2RAD(alpha2);
  
  r[1] = r1, r[2] = r2, r[3] = r3, r[4] = r4;
  r[5] = r5,  r[6] = r6, r[7] = r7, r[8] = r8;

  
  omega_1[2]=omega2;
  alpha_1[2]=alpha2;  

  theta_1[1] = theta1;
  theta_1[2] = theta2; 
  omega_2[2] = omega_3[2] = omega_4[2] = omega_1[2];
  alpha_2[2] = alpha_3[2] = alpha_4[2] = alpha_1[2];

  wattbar.setLinks(r, theta1, theta5, psi);
  wattbar.setCouplerPoint(COUPLER_LINK7, rp, beta);

  wattbar.angularPos(theta_1, theta_2, theta_3, theta_4);
  wattbar.couplerPointPos(COUPLER_LINK7, theta_1[2], p);

  wattbar.angularVel(theta_1, omega_1);
  wattbar.angularAccel(theta_1, omega_1, alpha_1);
  vp[1] = wattbar.couplerPointVel(COUPLER_LINK7, theta_1, omega_1);
  ap[1] = wattbar.couplerPointAccel(COUPLER_LINK7, theta_1, omega_1, alpha_1);

  wattbar.angularVel(theta_2, omega_2);
  wattbar.angularAccel(theta_2, omega_2, alpha_2);
  vp[2] = wattbar.couplerPointVel(COUPLER_LINK7, theta_2, omega_2);
  ap[2] = wattbar.couplerPointAccel(COUPLER_LINK7, theta_2, omega_2, alpha_2);

  wattbar.angularVel(theta_3, omega_3);
  wattbar.angularAccel(theta_3, omega_3, alpha_3);
  vp[3] = wattbar.couplerPointVel(COUPLER_LINK7, theta_3, omega_3);
  ap[3] = wattbar.couplerPointAccel(COUPLER_LINK7, theta_3, omega_3, alpha_3);

  wattbar.angularVel(theta_4, omega_4);
  wattbar.angularAccel(theta_4, omega_4, alpha_4);
  vp[4] = wattbar.couplerPointVel(COUPLER_LINK7, theta_4, omega_4);
  ap[4] = wattbar.couplerPointAccel(COUPLER_LINK7, theta_4, omega_4, alpha_4);

  p_1[1] = real(p[1]);
  p_1[2] = imag(p[1]);
  p_2[1] = real(p[2]);
  p_2[2] = imag(p[2]);
  p_3[1] = real(p[3]);
  p_3[2] = imag(p[3]);
  p_4[1] = real(p[4]);
  p_4[2] = imag(p[4]);
  
  v_1[1] = real(vp[1]);
  v_1[2] = imag(vp[1]);
  v_2[1] = real(vp[2]);
  v_2[2] = imag(vp[2]);
  v_3[1] = real(vp[3]);
  v_3[2] = imag(vp[3]);
  v_4[1] = real(vp[4]);
  v_4[2] = imag(vp[4]);
  
  
  a_1[1] = real(ap[1]);
  a_1[2] = imag(ap[1]);
  a_2[1] = real(ap[2]);
  a_2[2] = imag(ap[2]);
  a_3[1] = real(ap[3]);
  a_3[2] = imag(ap[3]);
  a_4[1] = real(ap[4]);
  a_4[2] = imag(ap[4]);

  theta1 = M_RAD2DEG(theta1);
  theta5 = M_RAD2DEG(theta5);
  beta = M_RAD2DEG(beta);
  psi = M_RAD2DEG(psi);
  theta2 = M_RAD2DEG(theta2);
  omega2 = M_RAD2DEG(omega2);
  alpha2 = M_RAD2DEG(alpha2);
