
  r[1] = r1;  r[2] = r2;
  r[3] = r3;  r[4] = r4;
  r[5] = r5;   r[6] = r6; 
  theta1 = M_DEG2RAD(theta1);
  theta2 = M_DEG2RAD(theta2);

   /* Define Watt (I) Sixbar linkage. */
   beta3 = M_DEG2RAD(beta3);
   beta4 = M_DEG2RAD(beta4);
   
   for(i = 1; i <= 4; i++)
   {
      theta[i][1] = theta1;
      theta[i][2] = theta2;
   }

   /* Perform analysis. */
   wattI.setLinks(r, theta1, rP3, beta3, rPP4, beta4); 
   wattI.angularPos(theta[1], theta[2], theta[3], theta[4]);

   /* Display results. */
   for(i = 1; i <= 6; i++)
   {
      theta_deg1[i] = M_RAD2DEG(theta[1][i]);
      theta_deg2[i] = M_RAD2DEG(theta[2][i]);
      theta_deg3[i] = M_RAD2DEG(theta[3][i]);
      theta_deg4[i] = M_RAD2DEG(theta[4][i]);
	  
      theta_rad1[i] = theta[1][i];
      theta_rad2[i] = theta[2][i];
      theta_rad3[i] = theta[3][i];
      theta_rad4[i] = theta[4][i];
   }

   theta1 = M_RAD2DEG(theta1);
   theta2 = M_RAD2DEG(theta2);

   /* Define Watt (I) Sixbar linkage. */
   beta3 = M_RAD2DEG(beta3);
   beta4 = M_RAD2DEG(beta4);
