
   theta1 = M_DEG2RAD(theta1);
   theta2 = M_DEG2RAD(theta2);
   
   r[1] = r1;  r[2] = r2;
   r[3] = r3;  r[4] = r4;
   r[5] = r5;   r[6] = r6;
   beta3 = M_DEG2RAD(beta3);
   beta4 = M_DEG2RAD(beta4);
   beta5 = M_DEG2RAD(beta5);
   beta6 = M_DEG2RAD(beta6);
   
   for(i = 1; i <= 4; i++)
   {
      theta[i][1] = theta1;
      theta[i][2] = theta2;
   }

   /* Perform analysis. */
   wattI.setLinks(r, theta1, rP3, beta3, rPP4, beta4); 
   wattI.setCouplerPoint(COUPLER_LINK5, rP5, beta5);
   wattI.setCouplerPoint(COUPLER_LINK6, rPP6, beta6);
   wattI.angularPos(theta[1], theta[2], theta[3], theta[4]);
   wattI.couplerPointPos(COUPLER_LINK5, theta2, P1);
   wattI.couplerPointPos(COUPLER_LINK6, theta2, P2);

   /* Display results. */
  p5_1[1] = real(P1[1]);
  p5_1[2] = imag(P1[1]);
  p5_2[1] = real(P1[2]);
  p5_2[2] = imag(P1[2]);
  p5_3[1] = real(P1[3]);
  p5_3[2] = imag(P1[3]);
  p5_4[1] = real(P1[4]);
  p5_4[2] = imag(P1[4]);

  p6_1[1] = real(P2[1]);
  p6_1[2] = imag(P2[1]);
  p6_2[1] = real(P2[2]);
  p6_2[2] = imag(P2[2]);
  p6_3[1] = real(P2[3]);
  p6_3[2] = imag(P2[3]);
  p6_4[1] = real(P2[4]);
  p6_4[2] = imag(P2[4]);
   
   theta1 = M_RAD2DEG(theta1);
   theta2 = M_RAD2DEG(theta2);
   
   beta3 = M_RAD2DEG(beta3);
   beta4 = M_RAD2DEG(beta4);
   beta5 = M_RAD2DEG(beta5);
   beta6 = M_RAD2DEG(beta6);

